Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.seq
Class SEQDeltaFrame

    java.lang.Object
      org.monte.media.seq.SEQFrame
          org.monte.media.seq.SEQDeltaFrame

    public class SEQDeltaFrame

extends SEQFrame

Represents a delta frame in a movie track.

References:
http://www.fileformat.info/format/atari/egff.htm
http://www.atari-forum.com/wiki/index.php/ST_Picture_Formats

Version:
  1.0 2010-12-25 Created.
Author:
  Werner Randelshofer, Hausmatt 10, CH-6405 Immensee, Switzerland

Field Summary
`static int` | `OP_Copy`
`static int` | `OP_XOR`
`static int` | `SM_COMPRESSED`
`static int` | `SM_UNCOMPRESSED`

Fields inherited from class org.monte.media.seq.SEQFrame
`BadBitsOP_ByteVertical, BadBitsOP_GeneralDelta, BIT_LongData, BIT_LongInfoOffsets, BIT_OneInfoListForAllPlanes, BIT_RLC, BIT_Vertical, BIT_XOR, colorModel, data`

Constructor Summary
`SEQDeltaFrame()`

Method Summary
`void` | `decode(BitmapImage bitmap, SEQMovieTrack track)`
`int` | `getBottomBound(SEQMovieTrack track)`
`int` | `getLeftBound(SEQMovieTrack track)`
`int` | `getRightBound(SEQMovieTrack track)`
`int` | `getTopBound(SEQMovieTrack track)`
`boolean` | `isBidirectional()` Returns true if the frame can be decoded over both the previous frame or the subsequent frame.
`void` | `setBounds(int x, int y, int w, int h)`

Methods inherited from class org.monte.media.seq.SEQFrame
`addAudioCommand, cleanUpAudioCommands, getAudioCommands, getBits, getColorModel, getInterleave, getOperation, getRelTime, getStorageMethod, setAbsTime, setBits, setColorModel, setData, setHeight, setInterleave, setOperation, setRelTime, setStorageMethod, setWidth, setX, setY`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OP_Copy

    public static final int OP_Copy

See Also:
  Constant Field Values

### OP_XOR

    public static final int OP_XOR

See Also:
  Constant Field Values

### SM_UNCOMPRESSED

    public static final int SM_UNCOMPRESSED

See Also:
  Constant Field Values

### SM_COMPRESSED

    public static final int SM_COMPRESSED

See Also:
  Constant Field Values

Constructor Detail

### SEQDeltaFrame

    public SEQDeltaFrame()

Method Detail

### decode

    public void decode(BitmapImage bitmap,
                       SEQMovieTrack track)

  Specified by:
    `decode` in class `SEQFrame`

### setBounds

    public void setBounds(int x,
                          int y,
                          int w,
                          int h)

### getTopBound

    public int getTopBound(SEQMovieTrack track)

  Overrides:
    `getTopBound` in class `SEQFrame`

### getBottomBound

    public int getBottomBound(SEQMovieTrack track)

  Overrides:
    `getBottomBound` in class `SEQFrame`

### getLeftBound

    public int getLeftBound(SEQMovieTrack track)

  Overrides:
    `getLeftBound` in class `SEQFrame`

### getRightBound

    public int getRightBound(SEQMovieTrack track)

  Overrides:
    `getRightBound` in class `SEQFrame`

### isBidirectional

    public boolean isBidirectional()

  Returns true if the frame can be decoded over both the previous frame or the subsequent frame. Bidirectional frames can be used efficiently for forward and backward playing a movie.

  All key frames are bidirectional. Delta frames which use an XOR OP-mode are bidirectional as well.

  Overrides:
    `isBidirectional` in class `SEQFrame`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD